#
# spec file for package vdr-plugin-trayopenng
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname trayopenng
%define pluginversion 1.0.1
Name:           vdr-plugin-%{pluginname}
Version:        %{pluginversion}
Release:        lp150.1.2
Summary:        Plugin to eject the CD drive
License:        GPL-2.0
Group:          Hardware/TV
Url:            http://www.uli-eckhardt.de/vdr/trayopenng.de.shtml
Source0:        vdr-%{pluginname}-%{pluginversion}.tgz
Patch1:         vdr-plugin-trayopenng-1.0.1-fix-locale-destdir.diff
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Allows open or close the CD/DVD tray via the menu or via a function key of the remote control.

%prep
%setup -q -n %{pluginname}-%{pluginversion}
%patch1 -p1

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc COPYING HISTORY README

%changelog
* Sun Nov  2 2014 seife+obs@b1-systems.com
- update to 1.0.1
  - Makefile fixes
  - add vdr-plugin-trayopenng-1.0.1-fix-locale-destdir.diff
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid build date in locale files
* Sun Mar 30 2014 seife+obs@b1-systems.com
- run spec-cleaner
- remove vdrapi from package version
- use PreReq vdr_prereq macro instead of vdrapi requires
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Sun Jan 27 2013 wittemar@googlemail.com
- update to 1.0.0
* Sun May  1 2011 wittemar@googlemail.com
- first version 0.5.2
